Video Translate
Get Video Translation
Returns details for a translation job including status, output language, video_url, and failure info if applicable.
GET
/
v3
/
video-translations
/
{video_translation_id}
Get Video Translation
curl --request GET \
--url https://api.heygen.com/v3/video-translations/{video_translation_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.heygen.com/v3/video-translations/{video_translation_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.heygen.com/v3/video-translations/{video_translation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"title": "<string>",
"output_language": "<string>",
"input_language": "<string>",
"duration": 123,
"translate_audio_only": true,
"video_url": "<string>",
"audio_url": "<string>",
"srt_caption_url": "<string>",
"vtt_caption_url": "<string>",
"callback_id": "<string>",
"created_at": 123,
"failure_message": "<string>"
}
}{
"error": {
"code": "invalid_parameter",
"message": "Video not found",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "authentication_failed",
"message": "Invalid or expired API key. Verify your x-api-key header.",
"param": null,
"doc_url": null
}
}{
"error": {
"code": "not_found",
"message": "Video translation not found.",
"param": null,
"doc_url": null
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "Too many requests. Retry after the duration specified in the Retry-After header.",
"param": null,
"doc_url": null
}
}Authorizations
ApiKeyAuthBearerAuth
HeyGen API key. Obtain from your HeyGen dashboard.
Path Parameters
Unique video translation identifier
Response
Successful response
Detailed video translation resource.
Show child attributes
Show child attributes
Previous
Delete video translationPermanently deletes a video translation and its associated files. This action cannot be undone.
Next
⌘I
Get Video Translation

